Skip to main content
Platform Operations/Platform Health

GetHealthIncidents

List recent health incidents with duration and affected component details.

GET/api/v1/health/incidents

Operation ID

GetHealthIncidents

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • limit
    Integer

    Maximum number of incidents to return Maximum number of incidents to return

    Example: 0

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    List of health incidents ordered by started_at descending

    Example: (nested array)

    • id
      String

      Unique identifier of the health incident

      Example: incident-001

    • startedAt
      String

      Started at

      Example: 2026-01-15T08:00:00Z

    • recoveredAt
      String

      Recovered at

      Example: 2026-01-15T08:00:00Z

    • durationSec
      String

      Total duration of the incident in seconds

      Example: 300

    • affectedStatus
      String

      The health status that was affected during the incident

      Example: unhealthy

    • components
      List

      List of component names affected by this incident

      Example: item1,item2